//
//  ViewController.swift
//  CollectionsDemo
//
//  Created by Kevin McNeish on 9/10/14.
//  Copyright (c) 2014 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UIPickerViewDelegate, UIPickerViewDataSource {

    var names = ["Jordan", "Timothy", "Alexander", "Mia", "Luca"]
    
    @IBOutlet private weak var lblDemo: UILabel!
    @IBOutlet private weak var pckOptions: UIPickerView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.pckOptions.selectRow(2, inComponent: 0, animated: false)
        self.lblDemo.text = names[2]
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func numberOfComponentsInPickerView(pickerView: UIPickerView) -> Int {
        return 1
    }
    
    func pickerView(pickerView: UIPickerView, numberOfRowsInComponent component: Int) -> Int {
        return names.count
    }

    func pickerView(pickerView: UIPickerView, titleForRow row: Int, forComponent component: Int) -> String! {
        
        return names[row]
    }
    
    func pickerView(pickerView: UIPickerView,
        didSelectRow row: Int,
        inComponent component: Int) {
            
        self.lblDemo.text = names[row]
    }

}

