//
//  ViewController.swift
//  ImageViewDemo
//
//  Created by Kevin McNeish on 5/30/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var topImageView: UIImageView!
    @IBOutlet weak var bottomImageView: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    
        self.bottomImageView.animationImages =   [UIImage(named:"SBW1.png")!,
            UIImage(named:"SBW2.png")!,
            UIImage(named:"SBW1.png")!,
            UIImage(named:"SBW2.png")!,
            UIImage(named:"SBW1.png")!,
            UIImage(named:"SBW2.png")!,
            UIImage(named:"SBW3.png")!,
            UIImage(named:"SBW4.png")!,
            UIImage(named:"SBW5.png")!,
            UIImage(named:"SBW1.png")!,
            UIImage(named:"SBW2.png")!,
            UIImage(named:"SBW1.png")!,
            UIImage(named:"SBW2.png")!]
        
        self.bottomImageView.animationDuration = 3.0
        self.bottomImageView.animationRepeatCount = 5
    }
    
    @IBAction func topImagePressed(sender: UILongPressGestureRecognizer) {
		switch sender.state {
            case UIGestureRecognizerState.Began:
                self.topImageView.highlighted = true
            case UIGestureRecognizerState.Ended:
                self.topImageView.highlighted = false
            default:
                break
		}
    }

    @IBAction func bottomImageTapped(sender: AnyObject) {
        
        if self.bottomImageView.isAnimating()
        {
        	self.bottomImageView.stopAnimating()
        }
		else
		{
			self.bottomImageView.startAnimating()
		}
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

