//
//  CustomerEntity.swift
//  IndexedTableViewDemo
//
//  Created by Kevin McNeish on 2/14/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation
import CoreData

class CustomerEntity: NSManagedObject {

    @NSManaged var customerID: NSNumber
    @NSManaged var firstName: String
    @NSManaged var lastName: String
    
    var fullName: String {
        return firstName + " " + lastName
    }

}
