//
//  ViewController.swift
//  ProgressViewDemo
//
//  Created by Kevin McNeish on 5/25/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var progressView: UIProgressView!
    @IBOutlet var switches: [UISwitch]!
    
    @IBAction func switchChanged(sender: AnyObject) {
        
        var count: Float = 0.0
        
        for onOffSwitch in self.switches {
            if onOffSwitch.on {
                count++
            }
        }
        
        self.progressView.progress = count * 0.2
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

