//
//  Chief.swift
//  SimulatorDemo
//
//  Created by Kevin McNeish on 12/2/14.
//  Copyright (c) 2014 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation

class Chief {
    
    func getChiefs() -> Array<ChiefEntity> {
        
        var chiefs = Array<ChiefEntity>()
        var chiefEntity1 = ChiefEntity()
        chiefEntity1.chiefID = 1;
        chiefEntity1.fullName = "Steve Jobs";
        chiefEntity1.tenure = "Chairman 1976-1985";
        chiefEntity1.vitals = "Born February 24, 1955 – Died October 5, 2011";
        chiefEntity1.bio = "Steven Paul Jobs was an American businessman, designer and inventor. He is best known as the co-founder, chairman, and chief executive officer of Apple Inc. Through Apple, he was widely recognized as a charismatic pioneer of the personal computer revolution and for his influential career in the computer and consumer electronics fields. Jobs also co-founded and served as chief executive of Pixar Animation Studios; he became a member of the board of directors of The Walt Disney Company in 2006, when Disney acquired Pixar. \n\rAfter losing a power struggle with the board of directors in 1985, Jobs left Apple and founded NeXT, a computer platform development company specializing in the higher-education and business markets. In 1986, he acquired the computer graphics division of Lucasfilm, which was spun off asPixar. He was credited in Toy Story (1995) as an executive producer. He remained CEO and majority shareholder at 50.1 percent until its acquisition byThe Walt Disney Company in 2006, making Jobs Disney's largest individual shareholder at seven percent and a member of Disney's Board of Directors. (Source: Wikipedia)";
        chiefEntity1.picture = "SteveJobs1980s.jpg";
        chiefs.append(chiefEntity1)
        
        var chiefEntity2 = ChiefEntity()
        chiefEntity2.chiefID = 2;
        chiefEntity2.fullName = "John Sculley";
        chiefEntity2.tenure = "CEO 1983-1993";
        chiefEntity2.vitals = "Born April 6, 1939";
        chiefEntity2.bio = "John Sculley is an American businessman. Sculley was vice-president (1970–1977) and president of PepsiCo (1977–1983), until he became CEO of Apple on April 8, 1983, a position he held until leaving in 1993. \n\rA power struggle between Jobs and Sculley had become readily apparent. Jobs became \"non-linear\": he kept meetings running past midnight, sent out lengthy faxes, then called new meetings at 7 am. The Apple board of directors instructed Sculley to \"contain\" Jobs and limit his ability to launch expensive forays into untested products. Rather than submit to Sculley's direction, Jobs attempted to oust him from his leadership role at Apple. Sculley found out that Jobs had been attempting to organize a putsch and called a board meeting at which Apple's board of directors sided with Sculley and removed Jobs from his managerial duties. \n\rIn the early 1990s, at enormous expense, Sculley led Apple to port its operating system to run on a new microprocessor, the PowerPC. Sculley later acknowledged this was his greatest mistake, indicating that he should instead have targeted the dominant Intel architecture (Source: Wikipedia)";
        chiefEntity2.picture = "JohnSculley.jpg";
        chiefs.append(chiefEntity2)
        
        var chiefEntity3 = ChiefEntity()
        chiefEntity3.chiefID = 3;
        chiefEntity3.fullName = "Michael Spindler";
        chiefEntity3.tenure = "CEO 1993-1996";
        chiefEntity3.vitals = "Born 1942 in Germany";
        chiefEntity3.bio = "Michael Spindler (born 1942 in Germany), nicknamed \"the Diesel\" for his reputed around-the-clock work habits, was president and CEO of Applefrom 1993 to 1996. \n\rHaving joined Apple in 1980, he rose through the ranks in Apple's European operations as President of Apple Europe and was chosen to take over as CEO when John Sculley was ousted by Apple'sboard of directors in June 1993. \n\rSpindler presided over several successful projects, such as the introduction of the PowerPC, as well as some major failures, including the Newton and the Copland operating system. He also engaged in takeover discussions with IBM, Sun Microsystems and Philips, but when these went nowhere, he was in turn replaced by Gil Amelio, on February 2, 1996.  (Source: Wikipedia)";
        chiefEntity3.picture = "MichaelSpindler.jpg";
        chiefs.append(chiefEntity3)
        
        var chiefEntity4 = ChiefEntity()
        chiefEntity4.chiefID = 4;
        chiefEntity4.fullName = "Gil Amelio";
        chiefEntity4.tenure = "CEO 1996-1997";
        chiefEntity4.vitals = "Born March 1, 1943, in New York City";
        chiefEntity4.bio = "Gilbert Frank Amelio is an American technology executive. In 1994 Amelio joined the Board of Directors of Apple. \n\rAfter his resignation from National Semiconductor Amelio became Apple CEO on February 2, 1996, succeeding Michael Spindler. During Amelio's tenure Apple's stock continued to slump and hit a 12-year low in Q2 1997 that was at least partially caused by a single sale of 1.5 million shares of Apple stock on June 26 by an anonymous party who was later confirmed to be Steve Jobs. Apple lost another $708 million. \n\rOn the July 4, 1997 weekend, Jobs convinced the directors to oust Amelio in a boardroom coup; Amelio submitted his resignation less than a week later; and Jobs then became interim CEO on September 16.  (Source: Wikipedia)";
        chiefEntity4.picture = "GilAmelio.png";
        chiefs.append(chiefEntity4)
        
        var chiefEntity5 = ChiefEntity()
        chiefEntity5.chiefID = 5;
        chiefEntity5.fullName = "Steve Jobs";
        chiefEntity5.tenure = "CEO 1997-2011";
        chiefEntity5.vitals = "Born February 24, 1955 – Died October 5, 2011";
        chiefEntity5.bio = "After difficulties developing a new Mac OS, Apple purchased NeXT in 1996 in order to use NeXTSTEP as the basis for what became Mac OS X. As part of the deal Jobs was named Apple advisor. As Apple floundered, Jobs took control of the company and was named \"interim CEO\" in 1997, or as he jokingly referred to it, \"iCEO\". \n\rUnder his leadership, Apple was saved from near bankruptcy, and became profitable by 1998. Over the next decade, Jobs oversaw the development of the iMac, iTunes, iPod, iPhone, and iPad and on the services side, the company's Apple Retail Stores, iTunes Store and the App Store. The enormous success of these products and services, providing years of stable financial returns, propelled Apple to become the world's most valuable publicly traded company in 2011. The reinvigoration of the company is regarded as one of the greatest business turnaround stories in history. \n\rIn 2003, Jobs was diagnosed with a pancreas neuroendocrine tumor. Though it was initially treated, he reported a hormone imbalance, underwent a liver transplant in 2009, and appeared progressively thinner as his health declined. On medical leave for most of 2011, Jobs resigned as Apple CEO in August that year and was elected Chairman of the Board. He died of respiratory arrest related to his metastatic tumor on October 5, 2011. He continues to receive honors and public recognition for his influence in the technology and music industries (Source: Wikipedia)";
        chiefEntity5.picture = "SteveJobs.jpg";
        chiefs.append(chiefEntity5)
        
        var chiefEntity6 = ChiefEntity()
        chiefEntity6.chiefID = 6;
        chiefEntity6.fullName = "Tim Cook";
        chiefEntity6.tenure = "CEO 2011-present";
        chiefEntity6.vitals = "Born November 1, 1960";
        chiefEntity6.bio = "Cook spent six months at Compaq as VP for Corporate Materials before he was hired by Steve Jobs to join Apple in 1998. He initially served as Senior Vice President for Worldwide Operations. Prior to that, Cook served as the chief operating officer (COO) of the computer reseller division of Intelligent Electronics and spent 12 years in IBM's personal computer business as the director of North American Fulfillment. \n\rCook is credited with pulling Apple out of manufacturing by closing factories and warehouses around the world. This helped the company reduce inventory levels and streamline its supply chain, dramatically increasing margins. In January 2007, Cook was promoted to COO. \n\rCook served as Apple CEO for two months in 2004, when Jobs was recovering from pancreatic cancer surgery. In 2009, Cook again served as Apple CEO for several months while Jobs took a leave of absence for a liver transplant. In January 2011, Apple's Board of Directors approved a third medical leave of absence requested by Jobs. During that time, Cook was responsible for most of Apple’s day-to-day operations while Jobs made most major decisions. Following the resignation of Jobs, Cook was made CEO of Apple Inc. on August 24, 2011  (Source: Wikipedia)";
        chiefEntity6.picture = "TimCook.jpg";
        chiefs.append(chiefEntity6)
        
        return chiefs;
    }
    
}
