//
//  ToDoTableViewController.swift
//  ToDoListDemo
//
//  Created by Kevin McNeish on 3/20/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit

class ToDoTableViewController: UITableViewController {
    
    var toDo = ToDo()

    override func viewDidLoad() {
        super.viewDidLoad()

        self.toDo.getAllEntitiesByDisplayOrder()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        // Return the number of sections.
        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // Return the number of rows in the section.
        return self.toDo.entityList.count
    }
    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        
        let cell = tableView.dequeueReusableCellWithIdentifier("ToDoCell") as! UITableViewCell
        let toDoEntity = self.toDo.entityList[indexPath.row]
        cell.textLabel?.text = toDoEntity.desc
        
        return cell
    }

}
