//
//  ShipmentItem.swift
//  iDeliverMobileCD
//
//  Created by Kevin McNeish on 1/5/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation
import CoreData

class ShipmentItem<T: ShipmentItemEntity> : ABusinessObject <T> {
    
    // Get all shipments for the Shipment ID
    func getShipmentItemsForShipmentID(shipmentID: String) -> Array<T> {
        
        let predicate = NSPredicate(format: "shipmentID = %@", shipmentID)
        
        return self.getEntitiesMatchingPredicate(predicate)
    }
}