//
//  ViewController.swift
//  HideKeyboardDemo
//
//  Created by Kevin McNeish on 5/29/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var txtEmail: UITextField!
    @IBOutlet weak var lblValidationResults: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @IBAction func verifyEmail(sender: AnyObject) {
        
        self.lblValidationResults.hidden = false
        
        if Email.isEmailValid(self.txtEmail.text) {
            self.lblValidationResults.text = NSLocalizedString("Email address is valid", comment: "")
            self.lblValidationResults.textColor = UIColor.blueColor()
        }
        else {
            self.lblValidationResults.text = NSLocalizedString("Invalid email address", comment: "")
            self.lblValidationResults.textColor = UIColor.redColor()
        }

    }

}

