//
//  ProductFamily.swift
//  SimulatorDemo
//
//  Created by Kevin McNeish on 12/2/14.
//  Copyright (c) 2014 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation

class ProductFamily {
    
    func getProductsForChief(chiefID: Int) -> Array<String> {
    
        var products = Array<String>()
    
        switch chiefID {
            case 1: // 1976-1985 - Steve Jobs
            products.append("Apple I")
            products.append("Apple II")
            products.append("Apple III")
            products.append("Macintosh")

            case 2: // 1983-1993 - John Sculley
            products.append("Macintosh Plus")
            products.append("Macintosh II")
            products.append("Macintosh Quadra")
            products.append("Macintosh Powerbook")
            products.append("Macintosh Powerbook Duo")
            products.append("Macintosh Centris")
            products.append("Apple Newton")

            case 3:  // 1993-1996 - Michael Spindler
            products.append("Apple QuickTake")
            products.append("Power Macintosh")
            products.append("Workgroup Server")
            products.append("Macintosh PowerBook")
            products.append("Pippin")
            products.append("Macintosh Performa")

            case 4: // 1996-1997 - Gil Amelio
            products.append("Network Server")

            case 5: // 1997-2011 - Steve Jobs
            products.append("iMac")
            products.append("iBook")
            products.append("Airport")
            products.append("iPod Classic")
            products.append("eMac")
            products.append("Mac Mini")
            products.append("MacBook Pro")
            products.append("MacBook")
            products.append("Mac Pro")
            products.append("XServe")
            products.append("Apple TV (1st Generation)")
            products.append("iPhone")
            products.append("iPod Nano")
            products.append("iPod Touch")
            products.append("MacBook Air")
            products.append("iPhone 3G")
            products.append("iPod Shuffle")
            products.append("iPad")
            products.append("iPhone 3GS")
            products.append("iPhone 4")
            products.append("Apple TV (2nd Generation)")
            products.append("iPad 2")
            products.append("iPhone 4S")

            case 6: // 2011 - Present - Tim Cook
            products.append("iPad (3rd Generation)")
            products.append("Apple TV (3rd Generation)")
            products.append("Retina MacBook Pro")
            products.append("iPod touch (4th gen)")
            products.append("iPhone 5")
            products.append("iPod Touch (5th Generation)")
            products.append("iPod Nano (7th Generation)")
            products.append("Mac Mini")
            products.append("iPad Mini")
            products.append("iPad (4th Generation)")
            products.append("iPhone 5c")
            products.append("iPhone 5s")
            products.append("iPhone 6")
            products.append("iPhone 6 Plus")
            products.append("iMac with Retina 5K display")
            products.append("iPad Air 2")
            products.append("iPad Mini 3")
            default:
                break
            }
    
        return products
    }
}
