//
//  Draw2D.swift
//  TicTacToe
//
//  Created by Kevin McNeish on 3/29/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit
import TicTacToeFramework

class Draw2D: UIView {

    
    // Only override drawRect: if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func drawRect(rect: CGRect) {
        // Drawing code
        
        var x = self.frame.origin.x * -1
        var y = self.frame.origin.y * -1
        
        let context = UIGraphicsGetCurrentContext()
        CGContextSetLineWidth(context, 2)

        CGContextSetStrokeColorWithColor(context,
            globalThemeEntity.tintBoard.CGColor)

        // |
        CGContextMoveToPoint(context, x+100, y)
        CGContextAddLineToPoint(context, x+103, y+365)
        CGContextStrokePath(context)
        
        // |  |
        CGContextMoveToPoint(context, x+200, y)
        CGContextAddLineToPoint(context, x+200, y+365)
        CGContextStrokePath(context)

        // -
        CGContextMoveToPoint(context, x, y+106)
        CGContextAddLineToPoint(context, x+343, y+106)
        CGContextStrokePath(context)

        // -
        // -
        CGContextMoveToPoint(context, x, y+212)
        CGContextAddLineToPoint(context, x+343, y+212)
        CGContextStrokePath(context)
        
    }


}
