//
//  mmUITableViewExtension.swift
//  mmiOS8
//
//  Created by Kevin McNeish on 4/23/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation
import UIKit

extension UITableViewController {
    
    func centerTableView() {
        
        let contentSize = self.tableView.contentSize
        let boundsSize = self.tableView.bounds.size
        
        if contentSize.height < boundsSize.height {
            
            var yOffset = floor(boundsSize.height - contentSize.height) / 2
            
            tableView.contentOffset = CGPointMake(0, -yOffset)
        }
    }
}